Subject: RE: HTTP chunk transfer

From: "Paul Leach" <[email-masked]>
Date: Tue, 22 Apr 2003 12:58:48 -0400 (EDT)

Sorry, I don't have a good example handy. Maybe someone on the HTTP_WG
mailing list does.

-----Original Message-----
From: Pierre VOISIN [mailto:[email-masked]] 
Sent: Tuesday, April 22, 2003 2:56 AM
To: Paul Leach
Subject: HTTP chunk transfer

Hello!
 
    I've read some stuff on HTTP chunk transfer mode but I don't really
understand what my HTTP messages should be to transfer an entity to a
server. Could you write me an example of message to transfer an entity
with chunks? For example an entity which size is 2048, what are the
message (first, next, ..., last) that will be sent to the server if I
use 512-sized chunks?
 
Best regards,
 
Pierre

---

From: Alex Rousskov <[email-masked]>
Date: Tue, 22 Apr 2003 12:17:12 -0600 (MDT)

On Tue, 22 Apr 2003, Pierre VOISIN wrote:

>     I've read some stuff on HTTP chunk transfer mode but I don't
> really understand what my HTTP messages should be to transfer an
> entity to a server. Could you write me an example of message to
> transfer an entity with chunks? For example an entity which size is
> 2048, what are the message (first, next, ..., last) that will be
> sent to the server if I use 512-sized chunks?

Here is an example (extracted from a test trace) of an HTTP response
message transferring a 20-byte entity (cygpjmlomtdjwfelowxv) using two
10-byte chunks:

	HTTP/1.1 200 OK\r\n
	Transfer-Encoding: chunked\r\n
	Date: Tue, 07 Jan 2003 17:32:17 GMT\r\n
	\r\n
	a\r\n
	cygpjmlomt\r\n
	a\r\n
	djwfelowxv\r\n
	0\r\n
	\r\n

All necessary details are in the section 3.6.1 "Chunked Transfer
Coding" of RFC 2616, of course.

HTH,

Alex.

-- 
                            | HTTP performance - Web Polygraph benchmark
www.measurement-factory.com | HTTP compliance+ - Co-Advisor test suite
                            | all of the above - PolyBox appliance